import React from "react";
import { Image } from "../components/Image";
import { Link } from "../components/Link";
import { ConnectWithUs } from "../components/ConnectWithUs";
import { EmailSignup } from "../components/EmailSignup";
import Content from "../content/get-involved.mdx";
import styles from "./get-involved.module.css";

/**
 * @todo fix codey image with svg
 */
export default function GetInvolved() {
  return (
    <div className={styles.pageContainer}>
      <div className={styles.headerContainer}>
        <div className={styles.headerText}>
          <h1>Get Involved!</h1>
          <p>
            If you’re interested in holding, planning, or helping out with an
            event, don’t hesitate to get in touch with the{" "}
            <Link href="/about/team">Programme Committee</Link>!
          </p>
        </div>
        <Image src="images/get-involved/codey.svg" className={styles.codey} />
      </div>
      <main className={styles.content}>
        <Content />
      </main>
      <div className={styles.connectWithUs}>
        <ConnectWithUs />
      </div>
      <div className={styles.emailSignup}>
        <EmailSignup />
      </div>
    </div>
  );
}
